OGRE: OgreBites::SelectMenu Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
OgreBites::SelectMenu Class Reference
Optional Components » Bites » Trays

Basic selection menu widget. More...

`#include <OgreTrays.h>`

Inheritance diagram for OgreBites::SelectMenu:
[legend]

## Public Member Functions
| SelectMenu (const Ogre::String &name, const Ogre::DisplayString &caption, Ogre::Real width, Ogre::Real boxWidth, size_t maxItemsShown)
| Do not instantiate any widgets directly. Use TrayManager.
void | _cursorMoved (const Ogre::Vector2 &cursorPos, float wheelDelta) override
void | _cursorPressed (const Ogre::Vector2 &cursorPos) override
void | _cursorReleased (const Ogre::Vector2 &cursorPos) override
void | _focusLost () override
void | addItem (const Ogre::DisplayString &item)
void | clearItems ()
bool | containsItem (const Ogre::DisplayString &item)
void | copyItemsFrom (SelectMenu *other)
const Ogre::DisplayString & | getCaption ()
const Ogre::StringVector & | getItems ()
size_t | getNumItems ()
Ogre::DisplayString | getSelectedItem ()
int | getSelectionIndex ()
void | insertItem (size_t index, const Ogre::DisplayString &item)
bool | isExpanded ()
void | removeItem (const Ogre::DisplayString &item)
void | removeItem (size_t index)
void | selectItem (const Ogre::DisplayString &item, bool notifyListener=true)
void | selectItem (size_t index, bool notifyListener=true)
void | setCaption (const Ogre::DisplayString &caption)
void | setItems (const Ogre::StringVector &items)
Public Member Functions inherited from OgreBites::Widget
| Widget ()
virtual | ~Widget ()
void | _assignListener (TrayListener *listener)
void | _assignToTray (TrayLocation trayLoc)
void | cleanup ()
const Ogre::String & | getName ()
Ogre::OverlayElement * | getOverlayElement ()
TrayLocation | getTrayLocation ()
void | hide ()
bool | isVisible ()
void | show ()

## Additional Inherited Members
Static Public Member Functions inherited from OgreBites::Widget
static Ogre::Vector2 | cursorOffset (Ogre::OverlayElement *element, const Ogre::Vector2 &cursorPos)
| Static utility method used to get the cursor's offset from the center of an overlay element in pixels.
static void | fitCaptionToArea (const Ogre::DisplayString &caption, Ogre::TextAreaOverlayElement *area, Ogre::Real maxWidth)
| Static utility method to cut off a string to fit in a text area.
static Ogre::Real | getCaptionWidth (const Ogre::DisplayString &caption, Ogre::TextAreaOverlayElement *area)
| Static utility method used to get the width of a caption in a text area.
static bool | isCursorOver (Ogre::OverlayElement *element, const Ogre::Vector2 &cursorPos, Ogre::Real voidBorder=0)
| Static utility method to check if the cursor is over an overlay element.
static void | nukeOverlayElement (Ogre::OverlayElement *element)
| Static utility method to recursively delete an overlay element plus all of its children from the system.

## Detailed Description

Basic selection menu widget.

## Constructor & Destructor Documentation

## ◆ SelectMenu()

OgreBites::SelectMenu::SelectMenu | ( | const Ogre::String & | name,
|  | const Ogre::DisplayString & | caption,
|  | Ogre::Real | width,
|  | Ogre::Real | boxWidth,
|  | size_t | maxItemsShown )

Do not instantiate any widgets directly. Use TrayManager.

Referenced by copyItemsFrom().

## Member Function Documentation

## ◆ copyItemsFrom()

void OgreBites::SelectMenu::copyItemsFrom | ( | SelectMenu * | other | ) |

References SelectMenu().

## ◆ isExpanded()

bool OgreBites::SelectMenu::isExpanded | ( |  | ) |
| inline

## ◆ getCaption()

const Ogre::DisplayString & OgreBites::SelectMenu::getCaption | ( |  | ) |
| inline

## ◆ setCaption()

void OgreBites::SelectMenu::setCaption | ( | const Ogre::DisplayString & | caption | ) |

## ◆ getItems()

const Ogre::StringVector & OgreBites::SelectMenu::getItems | ( |  | ) |
| inline

## ◆ getNumItems()

size_t OgreBites::SelectMenu::getNumItems | ( |  | ) |
| inline

## ◆ setItems()

void OgreBites::SelectMenu::setItems | ( | const Ogre::StringVector & | items | ) |

Referenced by addItem(), and insertItem().

## ◆ addItem()

void OgreBites::SelectMenu::addItem | ( | const Ogre::DisplayString & | item | ) |
| inline

References setItems().

## ◆ insertItem()

void OgreBites::SelectMenu::insertItem | ( | size_t | index,
|  | const Ogre::DisplayString & | item )
| inline

References setItems().

## ◆ removeItem() [1/2]

void OgreBites::SelectMenu::removeItem | ( | const Ogre::DisplayString & | item | ) |

## ◆ removeItem() [2/2]

void OgreBites::SelectMenu::removeItem | ( | size_t | index | ) |

## ◆ clearItems()

void OgreBites::SelectMenu::clearItems | ( |  | ) |

## ◆ selectItem() [1/2]

void OgreBites::SelectMenu::selectItem | ( | size_t | index,
|  | bool | notifyListener = true )

## ◆ containsItem()

bool OgreBites::SelectMenu::containsItem | ( | const Ogre::DisplayString & | item | ) |

## ◆ selectItem() [2/2]

void OgreBites::SelectMenu::selectItem | ( | const Ogre::DisplayString & | item,
|  | bool | notifyListener = true )

## ◆ getSelectedItem()

Ogre::DisplayString OgreBites::SelectMenu::getSelectedItem | ( |  | ) |

## ◆ getSelectionIndex()

int OgreBites::SelectMenu::getSelectionIndex | ( |  | ) |
| inline

## ◆ _cursorPressed()

void OgreBites::SelectMenu::_cursorPressed | ( | const Ogre::Vector2 & | cursorPos | ) |
| overridevirtual

Reimplemented from OgreBites::Widget.

## ◆ _cursorReleased()

void OgreBites::SelectMenu::_cursorReleased | ( | const Ogre::Vector2 & | cursorPos | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::Widget.

## ◆ _cursorMoved()

void OgreBites::SelectMenu::_cursorMoved | ( | const Ogre::Vector2 & | cursorPos,
|  | float | wheelDelta )
| overridevirtual

Reimplemented from OgreBites::Widget.

## ◆ _focusLost()

void OgreBites::SelectMenu::_focusLost | ( |  | ) |
| inlineoverridevirtual

Reimplemented from OgreBites::Widget.

The documentation for this class was generated from the following file:

- OgreTrays.h